package com.fjhx.victoriatourist.service.sales;

import com.fjhx.victoriatourist.entity.sales.po.SalesRecord;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.sales.vo.SalesRecordVo;
import com.fjhx.victoriatourist.entity.sales.dto.SalesRecordSelectDto;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 销售数据 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface SalesRecordService extends BaseService<SalesRecord> {

    /**
     * 销售数据分页
     */
    Page<SalesRecordVo> getPage(SalesRecordSelectDto dto);


    void excelImport(MultipartFile file, Long warehouseId);

}
